#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Simple
Summary:	XML::Simple - easy API to read/write XML (esp config files)
Summary(pl.UTF-8):	XML::Simple - proste API do czytania/zapisu XML-a (zwł. plików konfiguracyjnych)
Name:		perl-XML-Simple
Version:	2.25
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bb841dce889a26c89a1c2739970e9fbc
URL:		http://search.cpan.org/dist/XML-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-XML-NamespaceSupport >= 1.04
BuildRequires:	perl-XML-SAX >= 0.15
BuildRequires:	perl-XML-SAX-Expat
%endif
Requires:	perl-XML-NamespaceSupport >= 1.04
Requires:	perl-XML-SAX >= 0.15
Requires:	perl-XML-SAX-Expat
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XML::Simple module provides a simple API layer on top of an
underlying XML parsing module (either XML::Parser or one of the SAX2
parser modules).

%description -l pl.UTF-8
Moduł XML::Simple udostępnia prostą warstwę API w oparciu o zasadniczy
moduł analizy XML-a (albo XML::Parser, albo jeden z modułów
analizujących SAX2).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/XML/Simple/FAQ.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Simple.pm
%{_mandir}/man3/XML::Simple.3pm*
%{_mandir}/man3/XML::Simple::FAQ.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-Simple.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 677f7df
- up to 2.25

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 235423c
- updated to 2.22

* Wed Dec 08 2010 Jakub Bogusz <qboosh@pld-linux.org> eac9832
- BR cleanup

* Tue Jan 20 2009 Elan Ruusamäe <glen@pld-linux.org> a79c872
- release 2

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a550582
- up to 2.18

* Thu Apr 05 2007 Jakub Bogusz <qboosh@pld-linux.org> fe4291a
- generic URL
- unified files

* Mon Apr 02 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> dcf04c4
- up to 2.16

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 77e6f15
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c29c097
- converted to UTF-8

* Fri Oct 20 2006 ankry <ankry@pld-linux.org> aa95979
- Version 2.15

* Tue Jun 20 2006 freetz <freetz@pld-linux.org> 848a114
- rel.2

* Mon Jun 19 2006 maciek2w <maciek2w@pld-linux.org> e7f61a9
- BR for tests changed to perl-XML-SAX-Expat
- STBR

* Thu May 05 2005 ankry <ankry@pld-linux.org> 29d9949
- updated to 2.14

* Fri Dec 03 2004 radek <radek@pld-linux.org> 8ab7d0f
- autoupdated to 2.13

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6be009f
- formatting

* Wed Jun 02 2004 ankry <ankry@pld-linux.org> 4fff676
- removed unnecessary R/BR, rel.++

* Fri May 07 2004 ankry <ankry@pld-linux.org> 8aa7c04
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 9839ad8
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> ea36a60
- license fix, cosmetics

* Mon Apr 05 2004 Adam Gołębiowski <adamg@pld-linux.org> f646a41
- updated to 2.12

